
### THIS SCRIPT CALCULATE THE PROPORTION OF EMPTY/NON-EMPTY DROPLETS
### IN THE PPU-PVE EXPERIMENT IN DROPLETS WITH 10 mM OF SUCCINATE

# R1
# Ppu mono
nedPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Ppu', Fluo2Sum > 0)) # non empty Ppu droplet
adPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Ppu')) # all droplets
ratio_non_emptyPP1 <- nedPP_24/adPP_24 # Proportion of non empty droplets in Ppu monoculture
ratio_non_emptyPP1
# Pve mono
nedPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Pve', Fluo1Sum > 0))
adPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Pve'))
ratio_non_emptyPV1 <- nedPV_24/adPV_24 # Proportion of non empty droplets in Pve monoculture
ratio_non_emptyPV1
# Ppu mixed culture
nedPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'PvePpu', Fluo2Sum > 0 ))
adPVPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'PvePpu'))
ratio_non_emptyPPmix1 <- nedPPmix_24/adPVPPmix_24 # Proportion of non empty droplets
ratio_non_emptyPPmix1
# Pve mixed culture
nedPVmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 ))
ratio_non_emptyPVmix1 <- nedPVmix_24/adPVPPmix_24 # Proportion of non empty droplets
ratio_non_emptyPVmix1
# Total proportion of non-empty droplets (all mix)
totalPPandPVmix <- nrow(DropletsF %>% filter(BiologicalRep == 'R1',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 & Fluo2Sum > 0))
totalPPonlymix <- nrow(DropletsF %>% filter(BiologicalRep == 'R1',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum == 0 & Fluo2Sum > 0))
totalPVonlymix <- nrow(DropletsF %>% filter(BiologicalRep == 'R1',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 & Fluo2Sum == 0))
totalmix <- sum(totalPPandPVmix, totalPPonlymix, totalPVonlymix)
ratio_non_emptyTotal24_1 <- totalmix/adPVPPmix_24
ratio_non_emptyTotal24_1


#R2
# Ppu mono
nedPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Ppu', Fluo2Sum > 0)) # non empty Ppu droplet
adPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Ppu')) # all droplets
ratio_non_emptyPP2 <- nedPP_24/adPP_24 # Proportion of non empty droplets in Ppu monoculture
ratio_non_emptyPP2
# Pve mono
nedPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Pve', Fluo1Sum > 0))
adPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Pve'))
ratio_non_emptyPV2 <- nedPV_24/adPV_24 # Proportion of non empty droplets in Pve monoculture
ratio_non_emptyPV2
# Ppu mixed culture
nedPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'PvePpu', Fluo2Sum > 0 ))
adPVPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'PvePpu'))
ratio_non_emptyPPmix2 <- nedPPmix_24/adPVPPmix_24 # Proportion of non empty droplets
ratio_non_emptyPPmix2
# Pve mixed culture
nedPVmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 ))
ratio_non_emptyPVmix2 <- nedPVmix_24/adPVPPmix_24 # Proportion of non empty droplets
ratio_non_emptyPVmix2
# Total proportion of non-empty droplets (all mix)
totalPPandPVmix <- nrow(DropletsF %>% filter(BiologicalRep == 'R2',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 & Fluo2Sum > 0))
totalPPonlymix <- nrow(DropletsF %>% filter(BiologicalRep == 'R2',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum == 0 & Fluo2Sum > 0))
totalPVonlymix <- nrow(DropletsF %>% filter(BiologicalRep == 'R2',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 & Fluo2Sum == 0))
totalmix <- sum(totalPPandPVmix, totalPPonlymix, totalPVonlymix)
ratio_non_emptyTotal24_2 <- totalmix/adPVPPmix_24
ratio_non_emptyTotal24_2

#R3
# Ppu mono
nedPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Ppu', Fluo2Sum > 0)) # non empty Ppu droplet
adPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Ppu')) # all droplets
ratio_non_emptyPP3 <- nedPP_24/adPP_24 # Proportion of non empty droplets in Ppu monoculture
ratio_non_emptyPP3
# Pve mono
nedPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Pve', Fluo1Sum > 0))
adPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Pve'))
ratio_non_emptyPV3 <- nedPV_24/adPV_24 # Proportion of non empty droplets in Pve monoculture
ratio_non_emptyPV3
# Ppu mixed culture
nedPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'PvePpu', Fluo2Sum > 0 ))
adPVPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'PvePpu'))
ratio_non_emptyPPmix3 <- nedPPmix_24/adPVPPmix_24 # Proportion of non empty droplets
ratio_non_emptyPPmix3
# Pve mixed culture
nedPVmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 ))
ratio_non_emptyPVmix3 <- nedPVmix_24/adPVPPmix_24 # Proportion of non empty droplets
ratio_non_emptyPVmix3
# Total proportion of non-empty droplets (all mix)
totalPPandPVmix <- nrow(DropletsF %>% filter(BiologicalRep == 'R3',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 & Fluo2Sum > 0))
totalPPonlymix <- nrow(DropletsF %>% filter(BiologicalRep == 'R3',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum == 0 & Fluo2Sum > 0))
totalPVonlymix <- nrow(DropletsF %>% filter(BiologicalRep == 'R3',Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 & Fluo2Sum == 0))
totalmix <- sum(totalPPandPVmix, totalPPonlymix, totalPVonlymix)
ratio_non_emptyTotal24_3 <- totalmix/adPVPPmix_24
ratio_non_emptyTotal24_3

